- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | Friends

# QStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 68 of file qstyle.h.

`#include <qstyle.h>`

Inheritance diagram for QStyle:
[legend]

List of all members.

## Public Types
enum | StateFlag { State_None = 0x00000000, State_Enabled = 0x00000001, State_Raised = 0x00000002, State_Sunken = 0x00000004, State_Off = 0x00000008, State_NoChange = 0x00000010, State_On = 0x00000020, State_DownArrow = 0x00000040, State_Horizontal = 0x00000080, State_HasFocus = 0x00000100, State_Top = 0x00000200, State_Bottom = 0x00000400, State_FocusAtBorder = 0x00000800, State_AutoRaise = 0x00001000, State_MouseOver = 0x00002000, State_UpArrow = 0x00004000, State_Selected = 0x00008000, State_Active = 0x00010000, State_Window = 0x00020000, State_Open = 0x00040000, State_Children = 0x00080000, State_Item = 0x00100000, State_Sibling = 0x00200000, State_Editing = 0x00400000, State_KeyboardFocusChange = 0x00800000, State_ReadOnly = 0x02000000, State_Small = 0x04000000, State_Mini = 0x08000000 }
enum | PrimitiveElement { PE_Q3CheckListController, PE_Q3CheckListExclusiveIndicator, PE_Q3CheckListIndicator, PE_Q3DockWindowSeparator, PE_Q3Separator, PE_Frame, PE_FrameDefaultButton, PE_FrameDockWidget, PE_FrameFocusRect, PE_FrameGroupBox, PE_FrameLineEdit, PE_FrameMenu, PE_FrameStatusBar, PE_FrameStatusBarItem = PE_FrameStatusBar, PE_FrameTabWidget, PE_FrameWindow, PE_FrameButtonBevel, PE_FrameButtonTool, PE_FrameTabBarBase, PE_PanelButtonCommand, PE_PanelButtonBevel, PE_PanelButtonTool, PE_PanelMenuBar, PE_PanelToolBar, PE_PanelLineEdit, PE_IndicatorArrowDown, PE_IndicatorArrowLeft, PE_IndicatorArrowRight, PE_IndicatorArrowUp, PE_IndicatorBranch, PE_IndicatorButtonDropDown, PE_IndicatorViewItemCheck, PE_IndicatorItemViewItemCheck = PE_IndicatorViewItemCheck, PE_IndicatorCheckBox, PE_IndicatorDockWidgetResizeHandle, PE_IndicatorHeaderArrow, PE_IndicatorMenuCheckMark, PE_IndicatorProgressChunk, PE_IndicatorRadioButton, PE_IndicatorSpinDown, PE_IndicatorSpinMinus, PE_IndicatorSpinPlus, PE_IndicatorSpinUp, PE_IndicatorToolBarHandle, PE_IndicatorToolBarSeparator, PE_PanelTipLabel, PE_IndicatorTabTear, PE_PanelScrollAreaCorner, PE_Widget, PE_IndicatorColumnViewArrow, PE_IndicatorItemViewItemDrop, PE_PanelItemViewItem, PE_PanelItemViewRow, PE_PanelStatusBar, PE_IndicatorTabClose, PE_PanelMenu, PE_CustomBase = 0xf000000 }
enum | ControlElement { CE_PushButton, CE_PushButtonBevel, CE_PushButtonLabel, CE_CheckBox, CE_CheckBoxLabel, CE_RadioButton, CE_RadioButtonLabel, CE_TabBarTab, CE_TabBarTabShape, CE_TabBarTabLabel, CE_ProgressBar, CE_ProgressBarGroove, CE_ProgressBarContents, CE_ProgressBarLabel, CE_MenuItem, CE_MenuScroller, CE_MenuVMargin, CE_MenuHMargin, CE_MenuTearoff, CE_MenuEmptyArea, CE_MenuBarItem, CE_MenuBarEmptyArea, CE_ToolButtonLabel, CE_Header, CE_HeaderSection, CE_HeaderLabel, CE_Q3DockWindowEmptyArea, CE_ToolBoxTab, CE_SizeGrip, CE_Splitter, CE_RubberBand, CE_DockWidgetTitle, CE_ScrollBarAddLine, CE_ScrollBarSubLine, CE_ScrollBarAddPage, CE_ScrollBarSubPage, CE_ScrollBarSlider, CE_ScrollBarFirst, CE_ScrollBarLast, CE_FocusFrame, CE_ComboBoxLabel, CE_ToolBar, CE_ToolBoxTabShape, CE_ToolBoxTabLabel, CE_HeaderEmptyArea, CE_ColumnViewGrip, CE_ItemViewItem, CE_ShapedFrame, CE_CustomBase = 0xf0000000 }
enum | SubElement { SE_PushButtonContents, SE_PushButtonFocusRect, SE_CheckBoxIndicator, SE_CheckBoxContents, SE_CheckBoxFocusRect, SE_CheckBoxClickRect, SE_RadioButtonIndicator, SE_RadioButtonContents, SE_RadioButtonFocusRect, SE_RadioButtonClickRect, SE_ComboBoxFocusRect, SE_SliderFocusRect, SE_Q3DockWindowHandleRect, SE_ProgressBarGroove, SE_ProgressBarContents, SE_ProgressBarLabel, SE_DialogButtonAccept, SE_DialogButtonReject, SE_DialogButtonApply, SE_DialogButtonHelp, SE_DialogButtonAll, SE_DialogButtonAbort, SE_DialogButtonIgnore, SE_DialogButtonRetry, SE_DialogButtonCustom, SE_ToolBoxTabContents, SE_HeaderLabel, SE_HeaderArrow, SE_TabWidgetTabBar, SE_TabWidgetTabPane, SE_TabWidgetTabContents, SE_TabWidgetLeftCorner, SE_TabWidgetRightCorner, SE_ViewItemCheckIndicator, SE_ItemViewItemCheckIndicator = SE_ViewItemCheckIndicator, SE_TabBarTearIndicator, SE_TreeViewDisclosureItem, SE_LineEditContents, SE_FrameContents, SE_DockWidgetCloseButton, SE_DockWidgetFloatButton, SE_DockWidgetTitleBarText, SE_DockWidgetIcon, SE_CheckBoxLayoutItem, SE_ComboBoxLayoutItem, SE_DateTimeEditLayoutItem, SE_DialogButtonBoxLayoutItem, SE_LabelLayoutItem, SE_ProgressBarLayoutItem, SE_PushButtonLayoutItem, SE_RadioButtonLayoutItem, SE_SliderLayoutItem, SE_SpinBoxLayoutItem, SE_ToolButtonLayoutItem, SE_FrameLayoutItem, SE_GroupBoxLayoutItem, SE_TabWidgetLayoutItem, SE_ItemViewItemDecoration, SE_ItemViewItemText, SE_ItemViewItemFocusRect, SE_TabBarTabLeftButton, SE_TabBarTabRightButton, SE_TabBarTabText, SE_ShapedFrameContents, SE_ToolBarHandle, SE_CustomBase = 0xf0000000 }
enum | ComplexControl { CC_SpinBox, CC_ComboBox, CC_ScrollBar, CC_Slider, CC_ToolButton, CC_TitleBar, CC_Q3ListView, CC_Dial, CC_GroupBox, CC_MdiControls, CC_CustomBase = 0xf0000000 }
enum | SubControl { SC_None = 0x00000000, SC_ScrollBarAddLine = 0x00000001, SC_ScrollBarSubLine = 0x00000002, SC_ScrollBarAddPage = 0x00000004, SC_ScrollBarSubPage = 0x00000008, SC_ScrollBarFirst = 0x00000010, SC_ScrollBarLast = 0x00000020, SC_ScrollBarSlider = 0x00000040, SC_ScrollBarGroove = 0x00000080, SC_SpinBoxUp = 0x00000001, SC_SpinBoxDown = 0x00000002, SC_SpinBoxFrame = 0x00000004, SC_SpinBoxEditField = 0x00000008, SC_ComboBoxFrame = 0x00000001, SC_ComboBoxEditField = 0x00000002, SC_ComboBoxArrow = 0x00000004, SC_ComboBoxListBoxPopup = 0x00000008, SC_SliderGroove = 0x00000001, SC_SliderHandle = 0x00000002, SC_SliderTickmarks = 0x00000004, SC_ToolButton = 0x00000001, SC_ToolButtonMenu = 0x00000002, SC_TitleBarSysMenu = 0x00000001, SC_TitleBarMinButton = 0x00000002, SC_TitleBarMaxButton = 0x00000004, SC_TitleBarCloseButton = 0x00000008, SC_TitleBarNormalButton = 0x00000010, SC_TitleBarShadeButton = 0x00000020, SC_TitleBarUnshadeButton = 0x00000040, SC_TitleBarContextHelpButton = 0x00000080, SC_TitleBarLabel = 0x00000100, SC_Q3ListView = 0x00000001, SC_Q3ListViewBranch = 0x00000002, SC_Q3ListViewExpand = 0x00000004, SC_DialGroove = 0x00000001, SC_DialHandle = 0x00000002, SC_DialTickmarks = 0x00000004, SC_GroupBoxCheckBox = 0x00000001, SC_GroupBoxLabel = 0x00000002, SC_GroupBoxContents = 0x00000004, SC_GroupBoxFrame = 0x00000008, SC_MdiMinButton = 0x00000001, SC_MdiNormalButton = 0x00000002, SC_MdiCloseButton = 0x00000004, SC_CustomBase = 0xf0000000, SC_All = 0xffffffff }
enum | PixelMetric { PM_ButtonMargin, PM_ButtonDefaultIndicator, PM_MenuButtonIndicator, PM_ButtonShiftHorizontal, PM_ButtonShiftVertical, PM_DefaultFrameWidth, PM_SpinBoxFrameWidth, PM_ComboBoxFrameWidth, PM_MaximumDragDistance, PM_ScrollBarExtent, PM_ScrollBarSliderMin, PM_SliderThickness, PM_SliderControlThickness, PM_SliderLength, PM_SliderTickmarkOffset, PM_SliderSpaceAvailable, PM_DockWidgetSeparatorExtent, PM_DockWidgetHandleExtent, PM_DockWidgetFrameWidth, PM_TabBarTabOverlap, PM_TabBarTabHSpace, PM_TabBarTabVSpace, PM_TabBarBaseHeight, PM_TabBarBaseOverlap, PM_ProgressBarChunkWidth, PM_SplitterWidth, PM_TitleBarHeight, PM_MenuScrollerHeight, PM_MenuHMargin, PM_MenuVMargin, PM_MenuPanelWidth, PM_MenuTearoffHeight, PM_MenuDesktopFrameWidth, PM_MenuBarPanelWidth, PM_MenuBarItemSpacing, PM_MenuBarVMargin, PM_MenuBarHMargin, PM_IndicatorWidth, PM_IndicatorHeight, PM_ExclusiveIndicatorWidth, PM_ExclusiveIndicatorHeight, PM_CheckListButtonSize, PM_CheckListControllerSize, PM_DialogButtonsSeparator, PM_DialogButtonsButtonWidth, PM_DialogButtonsButtonHeight, PM_MdiSubWindowFrameWidth, PM_MDIFrameWidth = PM_MdiSubWindowFrameWidth, PM_MdiSubWindowMinimizedWidth, PM_MDIMinimizedWidth = PM_MdiSubWindowMinimizedWidth, PM_HeaderMargin, PM_HeaderMarkSize, PM_HeaderGripMargin, PM_TabBarTabShiftHorizontal, PM_TabBarTabShiftVertical, PM_TabBarScrollButtonWidth, PM_ToolBarFrameWidth, PM_ToolBarHandleExtent, PM_ToolBarItemSpacing, PM_ToolBarItemMargin, PM_ToolBarSeparatorExtent, PM_ToolBarExtensionExtent, PM_SpinBoxSliderHeight, PM_DefaultTopLevelMargin, PM_DefaultChildMargin, PM_DefaultLayoutSpacing, PM_ToolBarIconSize, PM_ListViewIconSize, PM_IconViewIconSize, PM_SmallIconSize, PM_LargeIconSize, PM_FocusFrameVMargin, PM_FocusFrameHMargin, PM_ToolTipLabelFrameWidth, PM_CheckBoxLabelSpacing, PM_TabBarIconSize, PM_SizeGripSize, PM_DockWidgetTitleMargin, PM_MessageBoxIconSize, PM_ButtonIconSize, PM_DockWidgetTitleBarButtonMargin, PM_RadioButtonLabelSpacing, PM_LayoutLeftMargin, PM_LayoutTopMargin, PM_LayoutRightMargin, PM_LayoutBottomMargin, PM_LayoutHorizontalSpacing, PM_LayoutVerticalSpacing, PM_TabBar_ScrollButtonOverlap, PM_TextCursorWidth, PM_TabCloseIndicatorWidth, PM_TabCloseIndicatorHeight, PM_ScrollView_ScrollBarSpacing, PM_SubMenuOverlap, PM_CustomBase = 0xf0000000 }
enum | ContentsType { CT_PushButton, CT_CheckBox, CT_RadioButton, CT_ToolButton, CT_ComboBox, CT_Splitter, CT_Q3DockWindow, CT_ProgressBar, CT_MenuItem, CT_MenuBarItem, CT_MenuBar, CT_Menu, CT_TabBarTab, CT_Slider, CT_ScrollBar, CT_Q3Header, CT_LineEdit, CT_SpinBox, CT_SizeGrip, CT_TabWidget, CT_DialogButtons, CT_HeaderSection, CT_GroupBox, CT_MdiControls, CT_ItemViewItem, CT_CustomBase = 0xf0000000 }
enum | RequestSoftwareInputPanel { RSIP_OnMouseClickAndAlreadyFocused, RSIP_OnMouseClick }
enum | StyleHint { SH_EtchDisabledText, SH_DitherDisabledText, SH_ScrollBar_MiddleClickAbsolutePosition, SH_ScrollBar_ScrollWhenPointerLeavesControl, SH_TabBar_SelectMouseType, SH_TabBar_Alignment, SH_Header_ArrowAlignment, SH_Slider_SnapToValue, SH_Slider_SloppyKeyEvents, SH_ProgressDialog_CenterCancelButton, SH_ProgressDialog_TextLabelAlignment, SH_PrintDialog_RightAlignButtons, SH_MainWindow_SpaceBelowMenuBar, SH_FontDialog_SelectAssociatedText, SH_Menu_AllowActiveAndDisabled, SH_Menu_SpaceActivatesItem, SH_Menu_SubMenuPopupDelay, SH_ScrollView_FrameOnlyAroundContents, SH_MenuBar_AltKeyNavigation, SH_ComboBox_ListMouseTracking, SH_Menu_MouseTracking, SH_MenuBar_MouseTracking, SH_ItemView_ChangeHighlightOnFocus, SH_Widget_ShareActivation, SH_Workspace_FillSpaceOnMaximize, SH_ComboBox_Popup, SH_TitleBar_NoBorder, SH_Slider_StopMouseOverSlider, SH_ScrollBar_StopMouseOverSlider = SH_Slider_StopMouseOverSlider, SH_BlinkCursorWhenTextSelected, SH_RichText_FullWidthSelection, SH_Menu_Scrollable, SH_GroupBox_TextLabelVerticalAlignment, SH_GroupBox_TextLabelColor, SH_Menu_SloppySubMenus, SH_Table_GridLineColor, SH_LineEdit_PasswordCharacter, SH_DialogButtons_DefaultButton, SH_ToolBox_SelectedPageTitleBold, SH_TabBar_PreferNoArrows, SH_ScrollBar_LeftClickAbsolutePosition, SH_Q3ListViewExpand_SelectMouseType, SH_UnderlineShortcut, SH_SpinBox_AnimateButton, SH_SpinBox_KeyPressAutoRepeatRate, SH_SpinBox_ClickAutoRepeatRate, SH_Menu_FillScreenWithScroll, SH_ToolTipLabel_Opacity, SH_DrawMenuBarSeparator, SH_TitleBar_ModifyNotification, SH_Button_FocusPolicy, SH_MenuBar_DismissOnSecondClick, SH_MessageBox_UseBorderForButtonSpacing, SH_TitleBar_AutoRaise, SH_ToolButton_PopupDelay, SH_FocusFrame_Mask, SH_RubberBand_Mask, SH_WindowFrame_Mask, SH_SpinControls_DisableOnBounds, SH_Dial_BackgroundRole, SH_ComboBox_LayoutDirection, SH_ItemView_EllipsisLocation, SH_ItemView_ShowDecorationSelected, SH_ItemView_ActivateItemOnSingleClick, SH_ScrollBar_ContextMenu, SH_ScrollBar_RollBetweenButtons, SH_Slider_AbsoluteSetButtons, SH_Slider_PageSetButtons, SH_Menu_KeyboardSearch, SH_TabBar_ElideMode, SH_DialogButtonLayout, SH_ComboBox_PopupFrameStyle, SH_MessageBox_TextInteractionFlags, SH_DialogButtonBox_ButtonsHaveIcons, SH_SpellCheckUnderlineStyle, SH_MessageBox_CenterButtons, SH_Menu_SelectionWrap, SH_ItemView_MovementWithoutUpdatingSelection, SH_ToolTip_Mask, SH_FocusFrame_AboveWidget, SH_TextControl_FocusIndicatorTextCharFormat, SH_WizardStyle, SH_ItemView_ArrowKeysNavigateIntoChildren, SH_Menu_Mask, SH_Menu_FlashTriggeredItem, SH_Menu_FadeOutOnHide, SH_SpinBox_ClickAutoRepeatThreshold, SH_ItemView_PaintAlternatingRowColorsForEmptyArea, SH_FormLayoutWrapPolicy, SH_TabWidget_DefaultTabPosition, SH_ToolBar_Movable, SH_FormLayoutFieldGrowthPolicy, SH_FormLayoutFormAlignment, SH_FormLayoutLabelAlignment, SH_ItemView_DrawDelegateFrame, SH_TabBar_CloseButtonPosition, SH_DockWidget_ButtonsHaveFrame, SH_ToolButtonStyle, SH_RequestSoftwareInputPanel, SH_CustomBase = 0xf0000000 }
enum | StandardPixmap { SP_TitleBarMenuButton, SP_TitleBarMinButton, SP_TitleBarMaxButton, SP_TitleBarCloseButton, SP_TitleBarNormalButton, SP_TitleBarShadeButton, SP_TitleBarUnshadeButton, SP_TitleBarContextHelpButton, SP_DockWidgetCloseButton, SP_MessageBoxInformation, SP_MessageBoxWarning, SP_MessageBoxCritical, SP_MessageBoxQuestion, SP_DesktopIcon, SP_TrashIcon, SP_ComputerIcon, SP_DriveFDIcon, SP_DriveHDIcon, SP_DriveCDIcon, SP_DriveDVDIcon, SP_DriveNetIcon, SP_DirOpenIcon, SP_DirClosedIcon, SP_DirLinkIcon, SP_FileIcon, SP_FileLinkIcon, SP_ToolBarHorizontalExtensionButton, SP_ToolBarVerticalExtensionButton, SP_FileDialogStart, SP_FileDialogEnd, SP_FileDialogToParent, SP_FileDialogNewFolder, SP_FileDialogDetailedView, SP_FileDialogInfoView, SP_FileDialogContentsView, SP_FileDialogListView, SP_FileDialogBack, SP_DirIcon, SP_DialogOkButton, SP_DialogCancelButton, SP_DialogHelpButton, SP_DialogOpenButton, SP_DialogSaveButton, SP_DialogCloseButton, SP_DialogApplyButton, SP_DialogResetButton, SP_DialogDiscardButton, SP_DialogYesButton, SP_DialogNoButton, SP_ArrowUp, SP_ArrowDown, SP_ArrowLeft, SP_ArrowRight, SP_ArrowBack, SP_ArrowForward, SP_DirHomeIcon, SP_CommandLink, SP_VistaShield, SP_BrowserReload, SP_BrowserStop, SP_MediaPlay, SP_MediaStop, SP_MediaPause, SP_MediaSkipForward, SP_MediaSkipBackward, SP_MediaSeekForward, SP_MediaSeekBackward, SP_MediaVolume, SP_MediaVolumeMuted, SP_CustomBase = 0xf0000000 }
## Public Member Functions
| QStyle ()
virtual | ~QStyle ()
virtual void | polish (QWidget *)
virtual void | unpolish (QWidget *)
virtual void | polish (QApplication *)
virtual void | unpolish (QApplication *)
virtual void | polish (QPalette &)
virtual QRect | itemTextRect (const QFontMetrics &fm, const QRect &r, int flags, bool enabled, const QString &text) const
virtual QRect | itemPixmapRect (const QRect &r, int flags, const QPixmap &pixmap) const
virtual void | drawItemText (QPainter *painter, const QRect &rect, int flags, const QPalette &pal, bool enabled, const QString &text, QPalette::ColorRole textRole=QPalette::NoRole) const
virtual void | drawItemPixmap (QPainter *painter, const QRect &rect, int alignment, const QPixmap &pixmap) const
virtual QPalette | standardPalette () const
virtual void | drawPrimitive (PrimitiveElement pe, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const =0
virtual void | drawControl (ControlElement element, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const =0
virtual QRect | subElementRect (SubElement subElement, const QStyleOption *option, const QWidget *widget=0) const =0
virtual void | drawComplexControl (ComplexControl cc, const QStyleOptionComplex *opt, QPainter *p, const QWidget *widget=0) const =0
virtual SubControl | hitTestComplexControl (ComplexControl cc, const QStyleOptionComplex *opt, const QPoint &pt, const QWidget *widget=0) const =0
virtual QRect | subControlRect (ComplexControl cc, const QStyleOptionComplex *opt, SubControl sc, const QWidget *widget=0) const =0
virtual int | pixelMetric (PixelMetric metric, const QStyleOption *option=0, const QWidget *widget=0) const =0
virtual QSize | sizeFromContents (ContentsType ct, const QStyleOption *opt, const QSize &contentsSize, const QWidget *w=0) const =0
virtual int | styleHint (StyleHint stylehint, const QStyleOption *opt=0, const QWidget *widget=0, QStyleHintReturn *returnData=0) const =0
virtual QPixmap | standardPixmap (StandardPixmap standardPixmap, const QStyleOption *opt=0, const QWidget *widget=0) const =0
QIcon | standardIcon (StandardPixmap standardIcon, const QStyleOption *option=0, const QWidget *widget=0) const
virtual QPixmap | generatedIconPixmap (QIcon::Mode iconMode, const QPixmap &pixmap, const QStyleOption *opt) const =0
int | layoutSpacing (QSizePolicy::ControlType control1, QSizePolicy::ControlType control2, Qt::Orientation orientation, const QStyleOption *option=0, const QWidget *widget=0) const
int | combinedLayoutSpacing (QSizePolicy::ControlTypes controls1, QSizePolicy::ControlTypes controls2, Qt::Orientation orientation, QStyleOption *option=0, QWidget *widget=0) const
const QStyle * | proxy () const
## Static Public Member Functions
static QRect | visualRect (Qt::LayoutDirection direction, const QRect &boundingRect, const QRect &logicalRect)
static QPoint | visualPos (Qt::LayoutDirection direction, const QRect &boundingRect, const QPoint &logicalPos)
static int | sliderPositionFromValue (int min, int max, int val, int space, bool upsideDown=false)
static int | sliderValueFromPosition (int min, int max, int pos, int space, bool upsideDown=false)
static Qt::Alignment | visualAlignment (Qt::LayoutDirection direction, Qt::Alignment alignment)
static QRect | alignedRect (Qt::LayoutDirection direction, Qt::Alignment alignment, const QSize &size, const QRect &rectangle)
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *opt=0, const QWidget *widget=0) const
int | layoutSpacingImplementation (QSizePolicy::ControlType control1, QSizePolicy::ControlType control2, Qt::Orientation orientation, const QStyleOption *option=0, const QWidget *widget=0) const
## Protected Member Functions
| QStyle (QStylePrivate &dd)
## Friends
class | QWidget
class | QWidgetPrivate
class | QApplication
class | QProxyStyle
class | QProxyStylePrivate

## Member Enumeration Documentation

enum StateFlag

Search for all occurrences

Enumerator:

  State_None | Search for all occurrences
  State_Enabled | Search for all occurrences
  State_Raised | Search for all occurrences
  State_Sunken | Search for all occurrences
  State_Off | Search for all occurrences
  State_NoChange | Search for all occurrences
  State_On | Search for all occurrences
  State_DownArrow | Search for all occurrences
  State_Horizontal | Search for all occurrences
  State_HasFocus | Search for all occurrences
  State_Top | Search for all occurrences
  State_Bottom | Search for all occurrences
  State_FocusAtBorder | Search for all occurrences
  State_AutoRaise | Search for all occurrences
  State_MouseOver | Search for all occurrences
  State_UpArrow | Search for all occurrences
  State_Selected | Search for all occurrences
  State_Active | Search for all occurrences
  State_Window | Search for all occurrences
  State_Open | Search for all occurrences
  State_Children | Search for all occurrences
  State_Item | Search for all occurrences
  State_Sibling | Search for all occurrences
  State_Editing | Search for all occurrences
  State_KeyboardFocusChange | Search for all occurrences
  State_ReadOnly | Search for all occurrences
  State_Small | Search for all occurrences
  State_Mini | Search for all occurrences

Definition at line 103 of file qstyle.h.

                       {
            State_None =                0x00000000,
    #ifdef QT3_SUPPORT
            State_Default =             State_None,
    #endif
            State_Enabled =             0x00000001,
            State_Raised =              0x00000002,
            State_Sunken =              0x00000004,
            State_Off =                 0x00000008,
            State_NoChange =            0x00000010,
            State_On =                  0x00000020,
            State_DownArrow =           0x00000040,
            State_Horizontal =          0x00000080,
            State_HasFocus =            0x00000100,
            State_Top =                 0x00000200,
            State_Bottom =              0x00000400,
            State_FocusAtBorder =       0x00000800,
            State_AutoRaise =           0x00001000,
            State_MouseOver =           0x00002000,
            State_UpArrow =             0x00004000,
            State_Selected =            0x00008000,
            State_Active =              0x00010000,
            State_Window =              0x00020000,
            State_Open =                0x00040000,
            State_Children =            0x00080000,
            State_Item =                0x00100000,
            State_Sibling =             0x00200000,
            State_Editing =             0x00400000,
            State_KeyboardFocusChange = 0x00800000,
    #ifdef QT_KEYPAD_NAVIGATION
            State_HasEditFocus =        0x01000000,
    #endif
            State_ReadOnly =            0x02000000,
            State_Small =               0x04000000,
            State_Mini =                0x08000000
        };

enum PrimitiveElement

Search for all occurrences

Enumerator:

  PE_Q3CheckListController | Search for all occurrences
  PE_Q3CheckListExclusiveIndicator | Search for all occurrences
  PE_Q3CheckListIndicator | Search for all occurrences
  PE_Q3DockWindowSeparator | Search for all occurrences
  PE_Q3Separator | Search for all occurrences
  PE_Frame | Search for all occurrences
  PE_FrameDefaultButton | Search for all occurrences
  PE_FrameDockWidget | Search for all occurrences
  PE_FrameFocusRect | Search for all occurrences
  PE_FrameGroupBox | Search for all occurrences
  PE_FrameLineEdit | Search for all occurrences
  PE_FrameMenu | Search for all occurrences
  PE_FrameStatusBar | Search for all occurrences
  PE_FrameStatusBarItem | Search for all occurrences
  PE_FrameTabWidget | Search for all occurrences
  PE_FrameWindow | Search for all occurrences
  PE_FrameButtonBevel | Search for all occurrences
  PE_FrameButtonTool | Search for all occurrences
  PE_FrameTabBarBase | Search for all occurrences
  PE_PanelButtonCommand | Search for all occurrences
  PE_PanelButtonBevel | Search for all occurrences
  PE_PanelButtonTool | Search for all occurrences
  PE_PanelMenuBar | Search for all occurrences
  PE_PanelToolBar | Search for all occurrences
  PE_PanelLineEdit | Search for all occurrences
  PE_IndicatorArrowDown | Search for all occurrences
  PE_IndicatorArrowLeft | Search for all occurrences
  PE_IndicatorArrowRight | Search for all occurrences
  PE_IndicatorArrowUp | Search for all occurrences
  PE_IndicatorBranch | Search for all occurrences
  PE_IndicatorButtonDropDown | Search for all occurrences
  PE_IndicatorViewItemCheck | Search for all occurrences
  PE_IndicatorItemViewItemCheck | Search for all occurrences
  PE_IndicatorCheckBox | Search for all occurrences
  PE_IndicatorDockWidgetResizeHandle | Search for all occurrences
  PE_IndicatorHeaderArrow | Search for all occurrences
  PE_IndicatorMenuCheckMark | Search for all occurrences
  PE_IndicatorProgressChunk | Search for all occurrences
  PE_IndicatorRadioButton | Search for all occurrences
  PE_IndicatorSpinDown | Search for all occurrences
  PE_IndicatorSpinMinus | Search for all occurrences
  PE_IndicatorSpinPlus | Search for all occurrences
  PE_IndicatorSpinUp | Search for all occurrences
  PE_IndicatorToolBarHandle | Search for all occurrences
  PE_IndicatorToolBarSeparator | Search for all occurrences
  PE_PanelTipLabel | Search for all occurrences
  PE_IndicatorTabTear | Search for all occurrences
  PE_PanelScrollAreaCorner | Search for all occurrences
  PE_Widget | Search for all occurrences
  PE_IndicatorColumnViewArrow | Search for all occurrences
  PE_IndicatorItemViewItemDrop | Search for all occurrences
  PE_PanelItemViewItem | Search for all occurrences
  PE_PanelItemViewRow | Search for all occurrences
  PE_PanelStatusBar | Search for all occurrences
  PE_IndicatorTabClose | Search for all occurrences
  PE_PanelMenu | Search for all occurrences
  PE_CustomBase | Search for all occurrences

Definition at line 145 of file qstyle.h.

                              {
            PE_Q3CheckListController,
            PE_Q3CheckListExclusiveIndicator,
            PE_Q3CheckListIndicator,
            PE_Q3DockWindowSeparator,
            PE_Q3Separator,

            PE_Frame,
            PE_FrameDefaultButton,
            PE_FrameDockWidget,
            PE_FrameFocusRect,
            PE_FrameGroupBox,
            PE_FrameLineEdit,
            PE_FrameMenu,
            PE_FrameStatusBar, // obsolete
            PE_FrameStatusBarItem = PE_FrameStatusBar,
            PE_FrameTabWidget,
            PE_FrameWindow,
            PE_FrameButtonBevel,
            PE_FrameButtonTool,
            PE_FrameTabBarBase,

            PE_PanelButtonCommand,
            PE_PanelButtonBevel,
            PE_PanelButtonTool,
            PE_PanelMenuBar,
            PE_PanelToolBar,
            PE_PanelLineEdit,

            PE_IndicatorArrowDown,
            PE_IndicatorArrowLeft,
            PE_IndicatorArrowRight,
            PE_IndicatorArrowUp,
            PE_IndicatorBranch,
            PE_IndicatorButtonDropDown,
            PE_IndicatorViewItemCheck,
            PE_IndicatorItemViewItemCheck = PE_IndicatorViewItemCheck,
            PE_IndicatorCheckBox,
            PE_IndicatorDockWidgetResizeHandle,
            PE_IndicatorHeaderArrow,
            PE_IndicatorMenuCheckMark,
            PE_IndicatorProgressChunk,
            PE_IndicatorRadioButton,
            PE_IndicatorSpinDown,
            PE_IndicatorSpinMinus,
            PE_IndicatorSpinPlus,
            PE_IndicatorSpinUp,
            PE_IndicatorToolBarHandle,
            PE_IndicatorToolBarSeparator,
            PE_PanelTipLabel,
            PE_IndicatorTabTear,
            PE_PanelScrollAreaCorner,

            PE_Widget,

            PE_IndicatorColumnViewArrow,
            PE_IndicatorItemViewItemDrop,

            PE_PanelItemViewItem,
            PE_PanelItemViewRow, // ### Qt 5: remove

            PE_PanelStatusBar,

            PE_IndicatorTabClose,
            PE_PanelMenu,

            // do not add any values below/greater this
            PE_CustomBase = 0xf000000
        };

enum ControlElement

Search for all occurrences

Enumerator:

  CE_PushButton | Search for all occurrences
  CE_PushButtonBevel | Search for all occurrences
  CE_PushButtonLabel | Search for all occurrences
  CE_CheckBox | Search for all occurrences
  CE_CheckBoxLabel | Search for all occurrences
  CE_RadioButton | Search for all occurrences
  CE_RadioButtonLabel | Search for all occurrences
  CE_TabBarTab | Search for all occurrences
  CE_TabBarTabShape | Search for all occurrences
  CE_TabBarTabLabel | Search for all occurrences
  CE_ProgressBar | Search for all occurrences
  CE_ProgressBarGroove | Search for all occurrences
  CE_ProgressBarContents | Search for all occurrences
  CE_ProgressBarLabel | Search for all occurrences
  CE_MenuItem | Search for all occurrences
  CE_MenuScroller | Search for all occurrences
  CE_MenuVMargin | Search for all occurrences
  CE_MenuHMargin | Search for all occurrences
  CE_MenuTearoff | Search for all occurrences
  CE_MenuEmptyArea | Search for all occurrences
  CE_MenuBarItem | Search for all occurrences
  CE_MenuBarEmptyArea | Search for all occurrences
  CE_ToolButtonLabel | Search for all occurrences
  CE_Header | Search for all occurrences
  CE_HeaderSection | Search for all occurrences
  CE_HeaderLabel | Search for all occurrences
  CE_Q3DockWindowEmptyArea | Search for all occurrences
  CE_ToolBoxTab | Search for all occurrences
  CE_SizeGrip | Search for all occurrences
  CE_Splitter | Search for all occurrences
  CE_RubberBand | Search for all occurrences
  CE_DockWidgetTitle | Search for all occurrences
  CE_ScrollBarAddLine | Search for all occurrences
  CE_ScrollBarSubLine | Search for all occurrences
  CE_ScrollBarAddPage | Search for all occurrences
  CE_ScrollBarSubPage | Search for all occurrences
  CE_ScrollBarSlider | Search for all occurrences
  CE_ScrollBarFirst | Search for all occurrences
  CE_ScrollBarLast | Search for all occurrences
  CE_FocusFrame | Search for all occurrences
  CE_ComboBoxLabel | Search for all occurrences
  CE_ToolBar | Search for all occurrences
  CE_ToolBoxTabShape | Search for all occurrences
  CE_ToolBoxTabLabel | Search for all occurrences
  CE_HeaderEmptyArea | Search for all occurrences
  CE_ColumnViewGrip | Search for all occurrences
  CE_ItemViewItem | Search for all occurrences
  CE_ShapedFrame | Search for all occurrences
  CE_CustomBase | Search for all occurrences

Definition at line 217 of file qstyle.h.

                            {
            CE_PushButton,
            CE_PushButtonBevel,
            CE_PushButtonLabel,

            CE_CheckBox,
            CE_CheckBoxLabel,

            CE_RadioButton,
            CE_RadioButtonLabel,

            CE_TabBarTab,
            CE_TabBarTabShape,
            CE_TabBarTabLabel,

            CE_ProgressBar,
            CE_ProgressBarGroove,
            CE_ProgressBarContents,
            CE_ProgressBarLabel,

            CE_MenuItem,
            CE_MenuScroller,
            CE_MenuVMargin,
            CE_MenuHMargin,
            CE_MenuTearoff,
            CE_MenuEmptyArea,

            CE_MenuBarItem,
            CE_MenuBarEmptyArea,

            CE_ToolButtonLabel,

            CE_Header,
            CE_HeaderSection,
            CE_HeaderLabel,

            CE_Q3DockWindowEmptyArea,
            CE_ToolBoxTab,
            CE_SizeGrip,
            CE_Splitter,
            CE_RubberBand,
            CE_DockWidgetTitle,

            CE_ScrollBarAddLine,
            CE_ScrollBarSubLine,
            CE_ScrollBarAddPage,
            CE_ScrollBarSubPage,
            CE_ScrollBarSlider,
            CE_ScrollBarFirst,
            CE_ScrollBarLast,

            CE_FocusFrame,
            CE_ComboBoxLabel,

            CE_ToolBar,
            CE_ToolBoxTabShape,
            CE_ToolBoxTabLabel,
            CE_HeaderEmptyArea,

            CE_ColumnViewGrip,

            CE_ItemViewItem,

            CE_ShapedFrame,

            // do not add any values below/greater than this
            CE_CustomBase = 0xf0000000
        };

enum SubElement

Search for all occurrences

Enumerator:

  SE_PushButtonContents | Search for all occurrences
  SE_PushButtonFocusRect | Search for all occurrences
  SE_CheckBoxIndicator | Search for all occurrences
  SE_CheckBoxContents | Search for all occurrences
  SE_CheckBoxFocusRect | Search for all occurrences
  SE_CheckBoxClickRect | Search for all occurrences
  SE_RadioButtonIndicator | Search for all occurrences
  SE_RadioButtonContents | Search for all occurrences
  SE_RadioButtonFocusRect | Search for all occurrences
  SE_RadioButtonClickRect | Search for all occurrences
  SE_ComboBoxFocusRect | Search for all occurrences
  SE_SliderFocusRect | Search for all occurrences
  SE_Q3DockWindowHandleRect | Search for all occurrences
  SE_ProgressBarGroove | Search for all occurrences
  SE_ProgressBarContents | Search for all occurrences
  SE_ProgressBarLabel | Search for all occurrences
  SE_DialogButtonAccept | Search for all occurrences
  SE_DialogButtonReject | Search for all occurrences
  SE_DialogButtonApply | Search for all occurrences
  SE_DialogButtonHelp | Search for all occurrences
  SE_DialogButtonAll | Search for all occurrences
  SE_DialogButtonAbort | Search for all occurrences
  SE_DialogButtonIgnore | Search for all occurrences
  SE_DialogButtonRetry | Search for all occurrences
  SE_DialogButtonCustom | Search for all occurrences
  SE_ToolBoxTabContents | Search for all occurrences
  SE_HeaderLabel | Search for all occurrences
  SE_HeaderArrow | Search for all occurrences
  SE_TabWidgetTabBar | Search for all occurrences
  SE_TabWidgetTabPane | Search for all occurrences
  SE_TabWidgetTabContents | Search for all occurrences
  SE_TabWidgetLeftCorner | Search for all occurrences
  SE_TabWidgetRightCorner | Search for all occurrences
  SE_ViewItemCheckIndicator | Search for all occurrences
  SE_ItemViewItemCheckIndicator | Search for all occurrences
  SE_TabBarTearIndicator | Search for all occurrences
  SE_TreeViewDisclosureItem | Search for all occurrences
  SE_LineEditContents | Search for all occurrences
  SE_FrameContents | Search for all occurrences
  SE_DockWidgetCloseButton | Search for all occurrences
  SE_DockWidgetFloatButton | Search for all occurrences
  SE_DockWidgetTitleBarText | Search for all occurrences
  SE_DockWidgetIcon | Search for all occurrences
  SE_CheckBoxLayoutItem | Search for all occurrences
  SE_ComboBoxLayoutItem | Search for all occurrences
  SE_DateTimeEditLayoutItem | Search for all occurrences
  SE_DialogButtonBoxLayoutItem | Search for all occurrences
  SE_LabelLayoutItem | Search for all occurrences
  SE_ProgressBarLayoutItem | Search for all occurrences
  SE_PushButtonLayoutItem | Search for all occurrences
  SE_RadioButtonLayoutItem | Search for all occurrences
  SE_SliderLayoutItem | Search for all occurrences
  SE_SpinBoxLayoutItem | Search for all occurrences
  SE_ToolButtonLayoutItem | Search for all occurrences
  SE_FrameLayoutItem | Search for all occurrences
  SE_GroupBoxLayoutItem | Search for all occurrences
  SE_TabWidgetLayoutItem | Search for all occurrences
  SE_ItemViewItemDecoration | Search for all occurrences
  SE_ItemViewItemText | Search for all occurrences
  SE_ItemViewItemFocusRect | Search for all occurrences
  SE_TabBarTabLeftButton | Search for all occurrences
  SE_TabBarTabRightButton | Search for all occurrences
  SE_TabBarTabText | Search for all occurrences
  SE_ShapedFrameContents | Search for all occurrences
  SE_ToolBarHandle | Search for all occurrences
  SE_CustomBase | Search for all occurrences

Definition at line 289 of file qstyle.h.

                        {
            SE_PushButtonContents,
            SE_PushButtonFocusRect,

            SE_CheckBoxIndicator,
            SE_CheckBoxContents,
            SE_CheckBoxFocusRect,
            SE_CheckBoxClickRect,

            SE_RadioButtonIndicator,
            SE_RadioButtonContents,
            SE_RadioButtonFocusRect,
            SE_RadioButtonClickRect,

            SE_ComboBoxFocusRect,

            SE_SliderFocusRect,

            SE_Q3DockWindowHandleRect,

            SE_ProgressBarGroove,
            SE_ProgressBarContents,
            SE_ProgressBarLabel,

            // ### Qt 5: These values are unused; eliminate them
            SE_DialogButtonAccept,
            SE_DialogButtonReject,
            SE_DialogButtonApply,
            SE_DialogButtonHelp,
            SE_DialogButtonAll,
            SE_DialogButtonAbort,
            SE_DialogButtonIgnore,
            SE_DialogButtonRetry,
            SE_DialogButtonCustom,

            SE_ToolBoxTabContents,

            SE_HeaderLabel,
            SE_HeaderArrow,

            SE_TabWidgetTabBar,
            SE_TabWidgetTabPane,
            SE_TabWidgetTabContents,
            SE_TabWidgetLeftCorner,
            SE_TabWidgetRightCorner,

            SE_ViewItemCheckIndicator,
            SE_ItemViewItemCheckIndicator = SE_ViewItemCheckIndicator,

            SE_TabBarTearIndicator,

            SE_TreeViewDisclosureItem,

            SE_LineEditContents,
            SE_FrameContents,

            SE_DockWidgetCloseButton,
            SE_DockWidgetFloatButton,
            SE_DockWidgetTitleBarText,
            SE_DockWidgetIcon,

            SE_CheckBoxLayoutItem,
            SE_ComboBoxLayoutItem,
            SE_DateTimeEditLayoutItem,
            SE_DialogButtonBoxLayoutItem, // ### remove
            SE_LabelLayoutItem,
            SE_ProgressBarLayoutItem,
            SE_PushButtonLayoutItem,
            SE_RadioButtonLayoutItem,
            SE_SliderLayoutItem,
            SE_SpinBoxLayoutItem,
            SE_ToolButtonLayoutItem,

            SE_FrameLayoutItem,
            SE_GroupBoxLayoutItem,
            SE_TabWidgetLayoutItem,

            SE_ItemViewItemDecoration,
            SE_ItemViewItemText,
            SE_ItemViewItemFocusRect,

            SE_TabBarTabLeftButton,
            SE_TabBarTabRightButton,
            SE_TabBarTabText,

            SE_ShapedFrameContents,

            SE_ToolBarHandle,

            // do not add any values below/greater than this
            SE_CustomBase = 0xf0000000
        };

enum ComplexControl

Search for all occurrences

Enumerator:

  CC_SpinBox | Search for all occurrences
  CC_ComboBox | Search for all occurrences
  CC_ScrollBar | Search for all occurrences
  CC_Slider | Search for all occurrences
  CC_ToolButton | Search for all occurrences
  CC_TitleBar | Search for all occurrences
  CC_Q3ListView | Search for all occurrences
  CC_Dial | Search for all occurrences
  CC_GroupBox | Search for all occurrences
  CC_MdiControls | Search for all occurrences
  CC_CustomBase | Search for all occurrences

Definition at line 386 of file qstyle.h.

                            {
            CC_SpinBox,
            CC_ComboBox,
            CC_ScrollBar,
            CC_Slider,
            CC_ToolButton,
            CC_TitleBar,
            CC_Q3ListView,
            CC_Dial,
            CC_GroupBox,
            CC_MdiControls,

            // do not add any values below/greater than this
            CC_CustomBase = 0xf0000000
        };

enum SubControl

Search for all occurrences

Enumerator:

  SC_None | Search for all occurrences
  SC_ScrollBarAddLine | Search for all occurrences
  SC_ScrollBarSubLine | Search for all occurrences
  SC_ScrollBarAddPage | Search for all occurrences
  SC_ScrollBarSubPage | Search for all occurrences
  SC_ScrollBarFirst | Search for all occurrences
  SC_ScrollBarLast | Search for all occurrences
  SC_ScrollBarSlider | Search for all occurrences
  SC_ScrollBarGroove | Search for all occurrences
  SC_SpinBoxUp | Search for all occurrences
  SC_SpinBoxDown | Search for all occurrences
  SC_SpinBoxFrame | Search for all occurrences
  SC_SpinBoxEditField | Search for all occurrences
  SC_ComboBoxFrame | Search for all occurrences
  SC_ComboBoxEditField | Search for all occurrences
  SC_ComboBoxArrow | Search for all occurrences
  SC_ComboBoxListBoxPopup | Search for all occurrences
  SC_SliderGroove | Search for all occurrences
  SC_SliderHandle | Search for all occurrences
  SC_SliderTickmarks | Search for all occurrences
  SC_ToolButton | Search for all occurrences
  SC_ToolButtonMenu | Search for all occurrences
  SC_TitleBarSysMenu | Search for all occurrences
  SC_TitleBarMinButton | Search for all occurrences
  SC_TitleBarMaxButton | Search for all occurrences
  SC_TitleBarCloseButton | Search for all occurrences
  SC_TitleBarNormalButton | Search for all occurrences
  SC_TitleBarShadeButton | Search for all occurrences
  SC_TitleBarUnshadeButton | Search for all occurrences
  SC_TitleBarContextHelpButton | Search for all occurrences
  SC_TitleBarLabel | Search for all occurrences
  SC_Q3ListView | Search for all occurrences
  SC_Q3ListViewBranch | Search for all occurrences
  SC_Q3ListViewExpand | Search for all occurrences
  SC_DialGroove | Search for all occurrences
  SC_DialHandle | Search for all occurrences
  SC_DialTickmarks | Search for all occurrences
  SC_GroupBoxCheckBox | Search for all occurrences
  SC_GroupBoxLabel | Search for all occurrences
  SC_GroupBoxContents | Search for all occurrences
  SC_GroupBoxFrame | Search for all occurrences
  SC_MdiMinButton | Search for all occurrences
  SC_MdiNormalButton | Search for all occurrences
  SC_MdiCloseButton | Search for all occurrences
  SC_CustomBase | Search for all occurrences
  SC_All | Search for all occurrences

Definition at line 402 of file qstyle.h.

                        {
            SC_None =                  0x00000000,

            SC_ScrollBarAddLine =      0x00000001,
            SC_ScrollBarSubLine =      0x00000002,
            SC_ScrollBarAddPage =      0x00000004,
            SC_ScrollBarSubPage =      0x00000008,
            SC_ScrollBarFirst =        0x00000010,
            SC_ScrollBarLast =         0x00000020,
            SC_ScrollBarSlider =       0x00000040,
            SC_ScrollBarGroove =       0x00000080,

            SC_SpinBoxUp =             0x00000001,
            SC_SpinBoxDown =           0x00000002,
            SC_SpinBoxFrame =          0x00000004,
            SC_SpinBoxEditField =      0x00000008,

            SC_ComboBoxFrame =         0x00000001,
            SC_ComboBoxEditField =     0x00000002,
            SC_ComboBoxArrow =         0x00000004,
            SC_ComboBoxListBoxPopup =  0x00000008,

            SC_SliderGroove =          0x00000001,
            SC_SliderHandle =          0x00000002,
            SC_SliderTickmarks =       0x00000004,

            SC_ToolButton =            0x00000001,
            SC_ToolButtonMenu =        0x00000002,

            SC_TitleBarSysMenu =       0x00000001,
            SC_TitleBarMinButton =     0x00000002,
            SC_TitleBarMaxButton =     0x00000004,
            SC_TitleBarCloseButton =   0x00000008,
            SC_TitleBarNormalButton =  0x00000010,
            SC_TitleBarShadeButton =   0x00000020,
            SC_TitleBarUnshadeButton = 0x00000040,
            SC_TitleBarContextHelpButton = 0x00000080,
            SC_TitleBarLabel =         0x00000100,

            SC_Q3ListView =            0x00000001,
            SC_Q3ListViewBranch =      0x00000002,
            SC_Q3ListViewExpand =      0x00000004,

            SC_DialGroove =            0x00000001,
            SC_DialHandle =            0x00000002,
            SC_DialTickmarks =         0x00000004,

            SC_GroupBoxCheckBox =      0x00000001,
            SC_GroupBoxLabel =         0x00000002,
            SC_GroupBoxContents =      0x00000004,
            SC_GroupBoxFrame =         0x00000008,

            SC_MdiMinButton     =      0x00000001,
            SC_MdiNormalButton  =      0x00000002,
            SC_MdiCloseButton   =      0x00000004,

            SC_CustomBase =            0xf0000000,
            SC_All =                   0xffffffff
        };

enum PixelMetric

Search for all occurrences

Enumerator:

  PM_ButtonMargin | Search for all occurrences
  PM_ButtonDefaultIndicator | Search for all occurrences
  PM_MenuButtonIndicator | Search for all occurrences
  PM_ButtonShiftHorizontal | Search for all occurrences
  PM_ButtonShiftVertical | Search for all occurrences
  PM_DefaultFrameWidth | Search for all occurrences
  PM_SpinBoxFrameWidth | Search for all occurrences
  PM_ComboBoxFrameWidth | Search for all occurrences
  PM_MaximumDragDistance | Search for all occurrences
  PM_ScrollBarExtent | Search for all occurrences
  PM_ScrollBarSliderMin | Search for all occurrences
  PM_SliderThickness | Search for all occurrences
  PM_SliderControlThickness | Search for all occurrences
  PM_SliderLength | Search for all occurrences
  PM_SliderTickmarkOffset | Search for all occurrences
  PM_SliderSpaceAvailable | Search for all occurrences
  PM_DockWidgetSeparatorExtent | Search for all occurrences
  PM_DockWidgetHandleExtent | Search for all occurrences
  PM_DockWidgetFrameWidth | Search for all occurrences
  PM_TabBarTabOverlap | Search for all occurrences
  PM_TabBarTabHSpace | Search for all occurrences
  PM_TabBarTabVSpace | Search for all occurrences
  PM_TabBarBaseHeight | Search for all occurrences
  PM_TabBarBaseOverlap | Search for all occurrences
  PM_ProgressBarChunkWidth | Search for all occurrences
  PM_SplitterWidth | Search for all occurrences
  PM_TitleBarHeight | Search for all occurrences
  PM_MenuScrollerHeight | Search for all occurrences
  PM_MenuHMargin | Search for all occurrences
  PM_MenuVMargin | Search for all occurrences
  PM_MenuPanelWidth | Search for all occurrences
  PM_MenuTearoffHeight | Search for all occurrences
  PM_MenuDesktopFrameWidth | Search for all occurrences
  PM_MenuBarPanelWidth | Search for all occurrences
  PM_MenuBarItemSpacing | Search for all occurrences
  PM_MenuBarVMargin | Search for all occurrences
  PM_MenuBarHMargin | Search for all occurrences
  PM_IndicatorWidth | Search for all occurrences
  PM_IndicatorHeight | Search for all occurrences
  PM_ExclusiveIndicatorWidth | Search for all occurrences
  PM_ExclusiveIndicatorHeight | Search for all occurrences
  PM_CheckListButtonSize | Search for all occurrences
  PM_CheckListControllerSize | Search for all occurrences
  PM_DialogButtonsSeparator | Search for all occurrences
  PM_DialogButtonsButtonWidth | Search for all occurrences
  PM_DialogButtonsButtonHeight | Search for all occurrences
  PM_MdiSubWindowFrameWidth | Search for all occurrences
  PM_MDIFrameWidth | Search for all occurrences
  PM_MdiSubWindowMinimizedWidth | Search for all occurrences
  PM_MDIMinimizedWidth | Search for all occurrences
  PM_HeaderMargin | Search for all occurrences
  PM_HeaderMarkSize | Search for all occurrences
  PM_HeaderGripMargin | Search for all occurrences
  PM_TabBarTabShiftHorizontal | Search for all occurrences
  PM_TabBarTabShiftVertical | Search for all occurrences
  PM_TabBarScrollButtonWidth | Search for all occurrences
  PM_ToolBarFrameWidth | Search for all occurrences
  PM_ToolBarHandleExtent | Search for all occurrences
  PM_ToolBarItemSpacing | Search for all occurrences
  PM_ToolBarItemMargin | Search for all occurrences
  PM_ToolBarSeparatorExtent | Search for all occurrences
  PM_ToolBarExtensionExtent | Search for all occurrences
  PM_SpinBoxSliderHeight | Search for all occurrences
  PM_DefaultTopLevelMargin | Search for all occurrences
  PM_DefaultChildMargin | Search for all occurrences
  PM_DefaultLayoutSpacing | Search for all occurrences
  PM_ToolBarIconSize | Search for all occurrences
  PM_ListViewIconSize | Search for all occurrences
  PM_IconViewIconSize | Search for all occurrences
  PM_SmallIconSize | Search for all occurrences
  PM_LargeIconSize | Search for all occurrences
  PM_FocusFrameVMargin | Search for all occurrences
  PM_FocusFrameHMargin | Search for all occurrences
  PM_ToolTipLabelFrameWidth | Search for all occurrences
  PM_CheckBoxLabelSpacing | Search for all occurrences
  PM_TabBarIconSize | Search for all occurrences
  PM_SizeGripSize | Search for all occurrences
  PM_DockWidgetTitleMargin | Search for all occurrences
  PM_MessageBoxIconSize | Search for all occurrences
  PM_ButtonIconSize | Search for all occurrences
  PM_DockWidgetTitleBarButtonMargin | Search for all occurrences
  PM_RadioButtonLabelSpacing | Search for all occurrences
  PM_LayoutLeftMargin | Search for all occurrences
  PM_LayoutTopMargin | Search for all occurrences
  PM_LayoutRightMargin | Search for all occurrences
  PM_LayoutBottomMargin | Search for all occurrences
  PM_LayoutHorizontalSpacing | Search for all occurrences
  PM_LayoutVerticalSpacing | Search for all occurrences
  PM_TabBar_ScrollButtonOverlap | Search for all occurrences
  PM_TextCursorWidth | Search for all occurrences
  PM_TabCloseIndicatorWidth | Search for all occurrences
  PM_TabCloseIndicatorHeight | Search for all occurrences
  PM_ScrollView_ScrollBarSpacing | Search for all occurrences
  PM_SubMenuOverlap | Search for all occurrences
  PM_CustomBase | Search for all occurrences

Definition at line 474 of file qstyle.h.

                         {
            PM_ButtonMargin,
            PM_ButtonDefaultIndicator,
            PM_MenuButtonIndicator,
            PM_ButtonShiftHorizontal,
            PM_ButtonShiftVertical,

            PM_DefaultFrameWidth,
            PM_SpinBoxFrameWidth,
            PM_ComboBoxFrameWidth,

            PM_MaximumDragDistance,

            PM_ScrollBarExtent,
            PM_ScrollBarSliderMin,

            PM_SliderThickness,             // total slider thickness
            PM_SliderControlThickness,      // thickness of the business part
            PM_SliderLength,                // total length of slider
            PM_SliderTickmarkOffset,        //
            PM_SliderSpaceAvailable,        // available space for slider to move

            PM_DockWidgetSeparatorExtent,
            PM_DockWidgetHandleExtent,
            PM_DockWidgetFrameWidth,

            PM_TabBarTabOverlap,
            PM_TabBarTabHSpace,
            PM_TabBarTabVSpace,
            PM_TabBarBaseHeight,
            PM_TabBarBaseOverlap,

            PM_ProgressBarChunkWidth,

            PM_SplitterWidth,
            PM_TitleBarHeight,

            PM_MenuScrollerHeight,
            PM_MenuHMargin,
            PM_MenuVMargin,
            PM_MenuPanelWidth,
            PM_MenuTearoffHeight,
            PM_MenuDesktopFrameWidth,

            PM_MenuBarPanelWidth,
            PM_MenuBarItemSpacing,
            PM_MenuBarVMargin,
            PM_MenuBarHMargin,

            PM_IndicatorWidth,
            PM_IndicatorHeight,
            PM_ExclusiveIndicatorWidth,
            PM_ExclusiveIndicatorHeight,
            PM_CheckListButtonSize,
            PM_CheckListControllerSize,

            PM_DialogButtonsSeparator,
            PM_DialogButtonsButtonWidth,
            PM_DialogButtonsButtonHeight,

            PM_MdiSubWindowFrameWidth,
            PM_MDIFrameWidth = PM_MdiSubWindowFrameWidth,            //obsolete
            PM_MdiSubWindowMinimizedWidth,
            PM_MDIMinimizedWidth = PM_MdiSubWindowMinimizedWidth,    //obsolete

            PM_HeaderMargin,
            PM_HeaderMarkSize,
            PM_HeaderGripMargin,
            PM_TabBarTabShiftHorizontal,
            PM_TabBarTabShiftVertical,
            PM_TabBarScrollButtonWidth,

            PM_ToolBarFrameWidth,
            PM_ToolBarHandleExtent,
            PM_ToolBarItemSpacing,
            PM_ToolBarItemMargin,
            PM_ToolBarSeparatorExtent,
            PM_ToolBarExtensionExtent,

            PM_SpinBoxSliderHeight,

            PM_DefaultTopLevelMargin,
            PM_DefaultChildMargin,
            PM_DefaultLayoutSpacing,

            PM_ToolBarIconSize,
            PM_ListViewIconSize,
            PM_IconViewIconSize,
            PM_SmallIconSize,
            PM_LargeIconSize,

            PM_FocusFrameVMargin,
            PM_FocusFrameHMargin,

            PM_ToolTipLabelFrameWidth,
            PM_CheckBoxLabelSpacing,
            PM_TabBarIconSize,
            PM_SizeGripSize,
            PM_DockWidgetTitleMargin,
            PM_MessageBoxIconSize,
            PM_ButtonIconSize,

            PM_DockWidgetTitleBarButtonMargin,

            PM_RadioButtonLabelSpacing,
            PM_LayoutLeftMargin,
            PM_LayoutTopMargin,
            PM_LayoutRightMargin,
            PM_LayoutBottomMargin,
            PM_LayoutHorizontalSpacing,
            PM_LayoutVerticalSpacing,
            PM_TabBar_ScrollButtonOverlap,

            PM_TextCursorWidth,

            PM_TabCloseIndicatorWidth,
            PM_TabCloseIndicatorHeight,

            PM_ScrollView_ScrollBarSpacing,
            PM_SubMenuOverlap,

            // do not add any values below/greater than this
            PM_CustomBase = 0xf0000000
        };

enum ContentsType

Search for all occurrences

Enumerator:

  CT_PushButton | Search for all occurrences
  CT_CheckBox | Search for all occurrences
  CT_RadioButton | Search for all occurrences
  CT_ToolButton | Search for all occurrences
  CT_ComboBox | Search for all occurrences
  CT_Splitter | Search for all occurrences
  CT_Q3DockWindow | Search for all occurrences
  CT_ProgressBar | Search for all occurrences
  CT_MenuItem | Search for all occurrences
  CT_MenuBarItem | Search for all occurrences
  CT_MenuBar | Search for all occurrences
  CT_Menu | Search for all occurrences
  CT_TabBarTab | Search for all occurrences
  CT_Slider | Search for all occurrences
  CT_ScrollBar | Search for all occurrences
  CT_Q3Header | Search for all occurrences
  CT_LineEdit | Search for all occurrences
  CT_SpinBox | Search for all occurrences
  CT_SizeGrip | Search for all occurrences
  CT_TabWidget | Search for all occurrences
  CT_DialogButtons | Search for all occurrences
  CT_HeaderSection | Search for all occurrences
  CT_GroupBox | Search for all occurrences
  CT_MdiControls | Search for all occurrences
  CT_ItemViewItem | Search for all occurrences
  CT_CustomBase | Search for all occurrences

Definition at line 602 of file qstyle.h.

                          {
            CT_PushButton,
            CT_CheckBox,
            CT_RadioButton,
            CT_ToolButton,
            CT_ComboBox,
            CT_Splitter,
            CT_Q3DockWindow,
            CT_ProgressBar,
            CT_MenuItem,
            CT_MenuBarItem,
            CT_MenuBar,
            CT_Menu,
            CT_TabBarTab,
            CT_Slider,
            CT_ScrollBar,
            CT_Q3Header,
            CT_LineEdit,
            CT_SpinBox,
            CT_SizeGrip,
            CT_TabWidget,
            CT_DialogButtons,
            CT_HeaderSection,
            CT_GroupBox,
            CT_MdiControls,
            CT_ItemViewItem,
            // do not add any values below/greater than this
            CT_CustomBase = 0xf0000000
        };

enum RequestSoftwareInputPanel

Search for all occurrences

Enumerator:

  RSIP_OnMouseClickAndAlreadyFocused | Search for all occurrences
  RSIP_OnMouseClick | Search for all occurrences

Definition at line 635 of file qstyle.h.

                                       {
            RSIP_OnMouseClickAndAlreadyFocused,
            RSIP_OnMouseClick
        };

enum StyleHint

Search for all occurrences

Enumerator:

  SH_EtchDisabledText | Search for all occurrences
  SH_DitherDisabledText | Search for all occurrences
  SH_ScrollBar_MiddleClickAbsolutePosition | Search for all occurrences
  SH_ScrollBar_ScrollWhenPointerLeavesControl | Search for all occurrences
  SH_TabBar_SelectMouseType | Search for all occurrences
  SH_TabBar_Alignment | Search for all occurrences
  SH_Header_ArrowAlignment | Search for all occurrences
  SH_Slider_SnapToValue | Search for all occurrences
  SH_Slider_SloppyKeyEvents | Search for all occurrences
  SH_ProgressDialog_CenterCancelButton | Search for all occurrences
  SH_ProgressDialog_TextLabelAlignment | Search for all occurrences
  SH_PrintDialog_RightAlignButtons | Search for all occurrences
  SH_MainWindow_SpaceBelowMenuBar | Search for all occurrences
  SH_FontDialog_SelectAssociatedText | Search for all occurrences
  SH_Menu_AllowActiveAndDisabled | Search for all occurrences
  SH_Menu_SpaceActivatesItem | Search for all occurrences
  SH_Menu_SubMenuPopupDelay | Search for all occurrences
  SH_ScrollView_FrameOnlyAroundContents | Search for all occurrences
  SH_MenuBar_AltKeyNavigation | Search for all occurrences
  SH_ComboBox_ListMouseTracking | Search for all occurrences
  SH_Menu_MouseTracking | Search for all occurrences
  SH_MenuBar_MouseTracking | Search for all occurrences
  SH_ItemView_ChangeHighlightOnFocus | Search for all occurrences
  SH_Widget_ShareActivation | Search for all occurrences
  SH_Workspace_FillSpaceOnMaximize | Search for all occurrences
  SH_ComboBox_Popup | Search for all occurrences
  SH_TitleBar_NoBorder | Search for all occurrences
  SH_Slider_StopMouseOverSlider | Search for all occurrences
  SH_ScrollBar_StopMouseOverSlider | Search for all occurrences
  SH_BlinkCursorWhenTextSelected | Search for all occurrences
  SH_RichText_FullWidthSelection | Search for all occurrences
  SH_Menu_Scrollable | Search for all occurrences
  SH_GroupBox_TextLabelVerticalAlignment | Search for all occurrences
  SH_GroupBox_TextLabelColor | Search for all occurrences
  SH_Menu_SloppySubMenus | Search for all occurrences
  SH_Table_GridLineColor | Search for all occurrences
  SH_LineEdit_PasswordCharacter | Search for all occurrences
  SH_DialogButtons_DefaultButton | Search for all occurrences
  SH_ToolBox_SelectedPageTitleBold | Search for all occurrences
  SH_TabBar_PreferNoArrows | Search for all occurrences
  SH_ScrollBar_LeftClickAbsolutePosition | Search for all occurrences
  SH_Q3ListViewExpand_SelectMouseType | Search for all occurrences
  SH_UnderlineShortcut | Search for all occurrences
  SH_SpinBox_AnimateButton | Search for all occurrences
  SH_SpinBox_KeyPressAutoRepeatRate | Search for all occurrences
  SH_SpinBox_ClickAutoRepeatRate | Search for all occurrences
  SH_Menu_FillScreenWithScroll | Search for all occurrences
  SH_ToolTipLabel_Opacity | Search for all occurrences
  SH_DrawMenuBarSeparator | Search for all occurrences
  SH_TitleBar_ModifyNotification | Search for all occurrences
  SH_Button_FocusPolicy | Search for all occurrences
  SH_MenuBar_DismissOnSecondClick | Search for all occurrences
  SH_MessageBox_UseBorderForButtonSpacing | Search for all occurrences
  SH_TitleBar_AutoRaise | Search for all occurrences
  SH_ToolButton_PopupDelay | Search for all occurrences
  SH_FocusFrame_Mask | Search for all occurrences
  SH_RubberBand_Mask | Search for all occurrences
  SH_WindowFrame_Mask | Search for all occurrences
  SH_SpinControls_DisableOnBounds | Search for all occurrences
  SH_Dial_BackgroundRole | Search for all occurrences
  SH_ComboBox_LayoutDirection | Search for all occurrences
  SH_ItemView_EllipsisLocation | Search for all occurrences
  SH_ItemView_ShowDecorationSelected | Search for all occurrences
  SH_ItemView_ActivateItemOnSingleClick | Search for all occurrences
  SH_ScrollBar_ContextMenu | Search for all occurrences
  SH_ScrollBar_RollBetweenButtons | Search for all occurrences
  SH_Slider_AbsoluteSetButtons | Search for all occurrences
  SH_Slider_PageSetButtons | Search for all occurrences
  SH_Menu_KeyboardSearch | Search for all occurrences
  SH_TabBar_ElideMode | Search for all occurrences
  SH_DialogButtonLayout | Search for all occurrences
  SH_ComboBox_PopupFrameStyle | Search for all occurrences
  SH_MessageBox_TextInteractionFlags | Search for all occurrences
  SH_DialogButtonBox_ButtonsHaveIcons | Search for all occurrences
  SH_SpellCheckUnderlineStyle | Search for all occurrences
  SH_MessageBox_CenterButtons | Search for all occurrences
  SH_Menu_SelectionWrap | Search for all occurrences
  SH_ItemView_MovementWithoutUpdatingSelection | Search for all occurrences
  SH_ToolTip_Mask | Search for all occurrences
  SH_FocusFrame_AboveWidget | Search for all occurrences
  SH_TextControl_FocusIndicatorTextCharFormat | Search for all occurrences
  SH_WizardStyle | Search for all occurrences
  SH_ItemView_ArrowKeysNavigateIntoChildren | Search for all occurrences
  SH_Menu_Mask | Search for all occurrences
  SH_Menu_FlashTriggeredItem | Search for all occurrences
  SH_Menu_FadeOutOnHide | Search for all occurrences
  SH_SpinBox_ClickAutoRepeatThreshold | Search for all occurrences
  SH_ItemView_PaintAlternatingRowColorsForEmptyArea | Search for all occurrences
  SH_FormLayoutWrapPolicy | Search for all occurrences
  SH_TabWidget_DefaultTabPosition | Search for all occurrences
  SH_ToolBar_Movable | Search for all occurrences
  SH_FormLayoutFieldGrowthPolicy | Search for all occurrences
  SH_FormLayoutFormAlignment | Search for all occurrences
  SH_FormLayoutLabelAlignment | Search for all occurrences
  SH_ItemView_DrawDelegateFrame | Search for all occurrences
  SH_TabBar_CloseButtonPosition | Search for all occurrences
  SH_DockWidget_ButtonsHaveFrame | Search for all occurrences
  SH_ToolButtonStyle | Search for all occurrences
  SH_RequestSoftwareInputPanel | Search for all occurrences
  SH_CustomBase | Search for all occurrences

Definition at line 640 of file qstyle.h.

                       {
            SH_EtchDisabledText,
            SH_DitherDisabledText,
            SH_ScrollBar_MiddleClickAbsolutePosition,
            SH_ScrollBar_ScrollWhenPointerLeavesControl,
            SH_TabBar_SelectMouseType,
            SH_TabBar_Alignment,
            SH_Header_ArrowAlignment,
            SH_Slider_SnapToValue,
            SH_Slider_SloppyKeyEvents,
            SH_ProgressDialog_CenterCancelButton,
            SH_ProgressDialog_TextLabelAlignment,
            SH_PrintDialog_RightAlignButtons,
            SH_MainWindow_SpaceBelowMenuBar,
            SH_FontDialog_SelectAssociatedText,
            SH_Menu_AllowActiveAndDisabled,
            SH_Menu_SpaceActivatesItem,
            SH_Menu_SubMenuPopupDelay,
            SH_ScrollView_FrameOnlyAroundContents,
            SH_MenuBar_AltKeyNavigation,
            SH_ComboBox_ListMouseTracking,
            SH_Menu_MouseTracking,
            SH_MenuBar_MouseTracking,
            SH_ItemView_ChangeHighlightOnFocus,
            SH_Widget_ShareActivation,
            SH_Workspace_FillSpaceOnMaximize,
            SH_ComboBox_Popup,
            SH_TitleBar_NoBorder,
            SH_Slider_StopMouseOverSlider,
            SH_ScrollBar_StopMouseOverSlider = SH_Slider_StopMouseOverSlider, // obsolete
            SH_BlinkCursorWhenTextSelected,
            SH_RichText_FullWidthSelection,
            SH_Menu_Scrollable,
            SH_GroupBox_TextLabelVerticalAlignment,
            SH_GroupBox_TextLabelColor,
            SH_Menu_SloppySubMenus,
            SH_Table_GridLineColor,
            SH_LineEdit_PasswordCharacter,
            SH_DialogButtons_DefaultButton,
            SH_ToolBox_SelectedPageTitleBold,
            SH_TabBar_PreferNoArrows,
            SH_ScrollBar_LeftClickAbsolutePosition,
            SH_Q3ListViewExpand_SelectMouseType,
            SH_UnderlineShortcut,
            SH_SpinBox_AnimateButton,
            SH_SpinBox_KeyPressAutoRepeatRate,
            SH_SpinBox_ClickAutoRepeatRate,
            SH_Menu_FillScreenWithScroll,
            SH_ToolTipLabel_Opacity,
            SH_DrawMenuBarSeparator,
            SH_TitleBar_ModifyNotification,
            SH_Button_FocusPolicy,
            SH_MenuBar_DismissOnSecondClick,
            SH_MessageBox_UseBorderForButtonSpacing,
            SH_TitleBar_AutoRaise,
            SH_ToolButton_PopupDelay,
            SH_FocusFrame_Mask,
            SH_RubberBand_Mask,
            SH_WindowFrame_Mask,
            SH_SpinControls_DisableOnBounds,
            SH_Dial_BackgroundRole,
            SH_ComboBox_LayoutDirection,
            SH_ItemView_EllipsisLocation,
            SH_ItemView_ShowDecorationSelected,
            SH_ItemView_ActivateItemOnSingleClick,
            SH_ScrollBar_ContextMenu,
            SH_ScrollBar_RollBetweenButtons,
            SH_Slider_AbsoluteSetButtons,
            SH_Slider_PageSetButtons,
            SH_Menu_KeyboardSearch,
            SH_TabBar_ElideMode,
            SH_DialogButtonLayout,
            SH_ComboBox_PopupFrameStyle,
            SH_MessageBox_TextInteractionFlags,
            SH_DialogButtonBox_ButtonsHaveIcons,
            SH_SpellCheckUnderlineStyle,
            SH_MessageBox_CenterButtons,
            SH_Menu_SelectionWrap,
            SH_ItemView_MovementWithoutUpdatingSelection,
            SH_ToolTip_Mask,
            SH_FocusFrame_AboveWidget,
            SH_TextControl_FocusIndicatorTextCharFormat,
            SH_WizardStyle,
            SH_ItemView_ArrowKeysNavigateIntoChildren,
            SH_Menu_Mask,
            SH_Menu_FlashTriggeredItem,
            SH_Menu_FadeOutOnHide,
            SH_SpinBox_ClickAutoRepeatThreshold,
            SH_ItemView_PaintAlternatingRowColorsForEmptyArea,
            SH_FormLayoutWrapPolicy,
            SH_TabWidget_DefaultTabPosition,
            SH_ToolBar_Movable,
            SH_FormLayoutFieldGrowthPolicy,
            SH_FormLayoutFormAlignment,
            SH_FormLayoutLabelAlignment,
            SH_ItemView_DrawDelegateFrame,
            SH_TabBar_CloseButtonPosition,
            SH_DockWidget_ButtonsHaveFrame,
            SH_ToolButtonStyle,
            SH_RequestSoftwareInputPanel,
            // Add new style hint values here

    #ifdef QT3_SUPPORT
            SH_GUIStyle = 0x00000100,
            SH_ScrollBar_BackgroundMode,
            // Add other compat values here

            SH_UnderlineAccelerator = SH_UnderlineShortcut,
    #endif
            SH_CustomBase = 0xf0000000
        };

enum StandardPixmap

Search for all occurrences

Enumerator:

  SP_TitleBarMenuButton | Search for all occurrences
  SP_TitleBarMinButton | Search for all occurrences
  SP_TitleBarMaxButton | Search for all occurrences
  SP_TitleBarCloseButton | Search for all occurrences
  SP_TitleBarNormalButton | Search for all occurrences
  SP_TitleBarShadeButton | Search for all occurrences
  SP_TitleBarUnshadeButton | Search for all occurrences
  SP_TitleBarContextHelpButton | Search for all occurrences
  SP_DockWidgetCloseButton | Search for all occurrences
  SP_MessageBoxInformation | Search for all occurrences
  SP_MessageBoxWarning | Search for all occurrences
  SP_MessageBoxCritical | Search for all occurrences
  SP_MessageBoxQuestion | Search for all occurrences
  SP_DesktopIcon | Search for all occurrences
  SP_TrashIcon | Search for all occurrences
  SP_ComputerIcon | Search for all occurrences
  SP_DriveFDIcon | Search for all occurrences
  SP_DriveHDIcon | Search for all occurrences
  SP_DriveCDIcon | Search for all occurrences
  SP_DriveDVDIcon | Search for all occurrences
  SP_DriveNetIcon | Search for all occurrences
  SP_DirOpenIcon | Search for all occurrences
  SP_DirClosedIcon | Search for all occurrences
  SP_DirLinkIcon | Search for all occurrences
  SP_FileIcon | Search for all occurrences
  SP_FileLinkIcon | Search for all occurrences
  SP_ToolBarHorizontalExtensionButton | Search for all occurrences
  SP_ToolBarVerticalExtensionButton | Search for all occurrences
  SP_FileDialogStart | Search for all occurrences
  SP_FileDialogEnd | Search for all occurrences
  SP_FileDialogToParent | Search for all occurrences
  SP_FileDialogNewFolder | Search for all occurrences
  SP_FileDialogDetailedView | Search for all occurrences
  SP_FileDialogInfoView | Search for all occurrences
  SP_FileDialogContentsView | Search for all occurrences
  SP_FileDialogListView | Search for all occurrences
  SP_FileDialogBack | Search for all occurrences
  SP_DirIcon | Search for all occurrences
  SP_DialogOkButton | Search for all occurrences
  SP_DialogCancelButton | Search for all occurrences
  SP_DialogHelpButton | Search for all occurrences
  SP_DialogOpenButton | Search for all occurrences
  SP_DialogSaveButton | Search for all occurrences
  SP_DialogCloseButton | Search for all occurrences
  SP_DialogApplyButton | Search for all occurrences
  SP_DialogResetButton | Search for all occurrences
  SP_DialogDiscardButton | Search for all occurrences
  SP_DialogYesButton | Search for all occurrences
  SP_DialogNoButton | Search for all occurrences
  SP_ArrowUp | Search for all occurrences
  SP_ArrowDown | Search for all occurrences
  SP_ArrowLeft | Search for all occurrences
  SP_ArrowRight | Search for all occurrences
  SP_ArrowBack | Search for all occurrences
  SP_ArrowForward | Search for all occurrences
  SP_DirHomeIcon | Search for all occurrences
  SP_CommandLink | Search for all occurrences
  SP_VistaShield | Search for all occurrences
  SP_BrowserReload | Search for all occurrences
  SP_BrowserStop | Search for all occurrences
  SP_MediaPlay | Search for all occurrences
  SP_MediaStop | Search for all occurrences
  SP_MediaPause | Search for all occurrences
  SP_MediaSkipForward | Search for all occurrences
  SP_MediaSkipBackward | Search for all occurrences
  SP_MediaSeekForward | Search for all occurrences
  SP_MediaSeekBackward | Search for all occurrences
  SP_MediaVolume | Search for all occurrences
  SP_MediaVolumeMuted | Search for all occurrences
  SP_CustomBase | Search for all occurrences

Definition at line 755 of file qstyle.h.

                            {
            SP_TitleBarMenuButton,
            SP_TitleBarMinButton,
            SP_TitleBarMaxButton,
            SP_TitleBarCloseButton,
            SP_TitleBarNormalButton,
            SP_TitleBarShadeButton,
            SP_TitleBarUnshadeButton,
            SP_TitleBarContextHelpButton,
            SP_DockWidgetCloseButton,
            SP_MessageBoxInformation,
            SP_MessageBoxWarning,
            SP_MessageBoxCritical,
            SP_MessageBoxQuestion,
            SP_DesktopIcon,
            SP_TrashIcon,
            SP_ComputerIcon,
            SP_DriveFDIcon,
            SP_DriveHDIcon,
            SP_DriveCDIcon,
            SP_DriveDVDIcon,
            SP_DriveNetIcon,
            SP_DirOpenIcon,
            SP_DirClosedIcon,
            SP_DirLinkIcon,
            SP_FileIcon,
            SP_FileLinkIcon,
            SP_ToolBarHorizontalExtensionButton,
            SP_ToolBarVerticalExtensionButton,
            SP_FileDialogStart,
            SP_FileDialogEnd,
            SP_FileDialogToParent,
            SP_FileDialogNewFolder,
            SP_FileDialogDetailedView,
            SP_FileDialogInfoView,
            SP_FileDialogContentsView,
            SP_FileDialogListView,
            SP_FileDialogBack,
            SP_DirIcon,
            SP_DialogOkButton,
            SP_DialogCancelButton,
            SP_DialogHelpButton,
            SP_DialogOpenButton,
            SP_DialogSaveButton,
            SP_DialogCloseButton,
            SP_DialogApplyButton,
            SP_DialogResetButton,
            SP_DialogDiscardButton,
            SP_DialogYesButton,
            SP_DialogNoButton,
            SP_ArrowUp,
            SP_ArrowDown,
            SP_ArrowLeft,
            SP_ArrowRight,
            SP_ArrowBack,
            SP_ArrowForward,
            SP_DirHomeIcon,
            SP_CommandLink,
            SP_VistaShield,
            SP_BrowserReload,
            SP_BrowserStop,
            SP_MediaPlay,
            SP_MediaStop,
            SP_MediaPause,
            SP_MediaSkipForward,
            SP_MediaSkipBackward,
            SP_MediaSeekForward,
            SP_MediaSeekBackward,
            SP_MediaVolume,
            SP_MediaVolumeMuted,
            // do not add any values below/greater than this
            SP_CustomBase = 0xf0000000
        };

## Constructor & Destructor Documentation

QStyle | ( | QStylePrivate & | dd | ) | `[protected]`

QStyle | ( |  | ) |

virtual ~QStyle | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void polish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void unpolish | ( | QWidget * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void polish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void unpolish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void polish | ( | QPalette & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual QRect itemTextRect | ( | const QFontMetrics & | fm,
|  | const QRect & | r,
|  | int | flags,
|  | bool | enabled,
|  | const QString & | text
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyStyle.

virtual QRect itemPixmapRect | ( | const QRect & | r,
|  | int | flags,
|  | const QPixmap & | pixmap
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QGtkStyle, and QProxyStyle.

virtual void drawItemText | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | int | flags,
|  | const QPalette & | pal,
|  | bool | enabled,
|  | const QString & | text,
|  | QPalette::ColorRole | textRole = `QPalette::NoRole`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QGtkStyle, QProxyStyle, and QWindowsCEStyle.

virtual void drawItemPixmap | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | int | alignment,
|  | const QPixmap & | pixmap
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QCleanlooksStyle, QGtkStyle, and QProxyStyle.

virtual QPalette standardPalette | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QCDEStyle, QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void drawPrimitive | ( | PrimitiveElement | pe,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCDEStyle, QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCDEStyle, QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual QRect subElementRect | ( | SubElement | subElement,
|  | const QStyleOption * | option,
|  | const QWidget * | widget = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual void drawComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | QPainter * | p,
|  | const QWidget * | widget = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual SubControl hitTestComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | const QPoint & | pt,
|  | const QWidget * | widget = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, and QWindowsVistaStyle.

virtual QRect subControlRect | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | SubControl | sc,
|  | const QWidget * | widget = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual int pixelMetric | ( | PixelMetric | metric,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCDEStyle, QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual QSize sizeFromContents | ( | ContentsType | ct,
|  | const QStyleOption * | opt,
|  | const QSize & | contentsSize,
|  | const QWidget * | w = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual int styleHint | ( | StyleHint | stylehint,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`,
|  | QStyleHintReturn * | returnData = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

virtual QPixmap standardPixmap | ( | StandardPixmap | standardPixmap,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QIcon standardIcon | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const

Search for all occurrences

virtual QPixmap generatedIconPixmap | ( | QIcon::Mode | iconMode,
|  | const QPixmap & | pixmap,
|  | const QStyleOption * | opt
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QCleanlooksStyle, QCommonStyle, QGtkStyle, QProxyStyle, and QWindowsMobileStyle.

static QRect visualRect | ( | Qt::LayoutDirection | direction,
|  | const QRect & | boundingRect,
|  | const QRect & | logicalRect
| ) |  | `[static]`

Search for all occurrences

static QPoint visualPos | ( | Qt::LayoutDirection | direction,
|  | const QRect & | boundingRect,
|  | const QPoint & | logicalPos
| ) |  | `[static]`

Search for all occurrences

static int sliderPositionFromValue | ( | int | min,
|  | int | max,
|  | int | val,
|  | int | space,
|  | bool | upsideDown = `false`
| ) |  | `[static]`

Search for all occurrences

static int sliderValueFromPosition | ( | int | min,
|  | int | max,
|  | int | pos,
|  | int | space,
|  | bool | upsideDown = `false`
| ) |  | `[static]`

Search for all occurrences

static Qt::Alignment visualAlignment | ( | Qt::LayoutDirection | direction,
|  | Qt::Alignment | alignment
| ) |  | `[static]`

Search for all occurrences

static QRect alignedRect | ( | Qt::LayoutDirection | direction,
|  | Qt::Alignment | alignment,
|  | const QSize & | size,
|  | const QRect & | rectangle
| ) |  | `[static]`

Search for all occurrences

int layoutSpacing | ( | QSizePolicy::ControlType | control1,
|  | QSizePolicy::ControlType | control2,
|  | Qt::Orientation | orientation,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const

Search for all occurrences

int combinedLayoutSpacing | ( | QSizePolicy::ControlTypes | controls1,
|  | QSizePolicy::ControlTypes | controls2,
|  | Qt::Orientation | orientation,
|  | QStyleOption * | option = `0`,
|  | QWidget * | widget = `0`
| ) |  | const

Search for all occurrences

const QStyle* proxy | ( |  | ) | const

Search for all occurrences

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented in QCDEStyle, QCleanlooksStyle, QCommonStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

int layoutSpacingImplementation | ( | QSizePolicy::ControlType | control1,
|  | QSizePolicy::ControlType | control2,
|  | Qt::Orientation | orientation,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented in QPlastiqueStyle, and QProxyStyle.

## Friends And Related Function Documentation

friend class QWidget `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 870 of file qstyle.h.

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 871 of file qstyle.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 872 of file qstyle.h.

friend class QProxyStyle `[friend]`

Search for all occurrences

Definition at line 873 of file qstyle.h.

friend class QProxyStylePrivate `[friend]`

Search for all occurrences

Definition at line 874 of file qstyle.h.

The documentation for this class was generated from the following file:

- QtGui/qstyle.h

QStyle QStyle QStyle QStyle QStyle QStyle QStyle QStyle QStyle QStyle
QStyle QStyle QStyle QStyle QStyle QStyle QStyle QStyle QStyle QStyle